summaryrefslogtreecommitdiff
blob: 27ad3b0758d40908fba558bbbe859558970e0879 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
diff -Nuar a/make.sh b/make.sh
--- a/make.sh	2017-09-30 18:30:58.000000000 +0200
+++ b/make.sh	2017-10-01 18:08:26.742909789 +0200
@@ -24,7 +24,7 @@
 # thing" when run on the target machine, with the minor caveat that
 # any --xc-host parameter should be suitable for the host machine
 # instead of the target.
-sh make-config.sh "$@" || exit $?
+sh -x make-config.sh "$@" || exit $?
 
 . output/prefix.def
 . output/build-config
@@ -76,11 +76,11 @@
         $@
     fi
 }
-maybetime sh make-host-1.sh
-maybetime sh make-target-1.sh
-maybetime sh make-host-2.sh
-maybetime sh make-target-2.sh
-maybetime sh make-target-contrib.sh
+maybetime sh -x make-host-1.sh
+maybetime sh -x make-target-1.sh
+maybetime sh -x make-host-2.sh
+maybetime sh -x make-target-2.sh
+maybetime sh -x make-target-contrib.sh
 
 NCONTRIBS=`find contrib -name Makefile -print | wc -l`
 NPASSED=`find obj/asdf-cache -name test-passed.test-report -print | wc -l`